Activate a card
This operation allow you to activate a card. Every card in stock is created in a "Non Active status" (NEED_ACTIVATION), and you need to activate each card explicity.
note
This is a one time operation per card. A NEED_ACTVATION card can be disbursed or payed, but you can't make purchases, withdrawals or PIN updates.
HTTP Request
POST /cards/activate
Header Parameters
| Header | Description |
|---|---|
| Authorization required | The Bearer token created in Get authorization Token |
| Content-Type required | application/json |
Body parameters
| Parameter | Type | Pattern | Description |
|---|---|---|---|
| card_number required | string | 16 digits* or uuid | The card_number or card_id to be activated. |
| latitude required | float | Digits format "DD.ddddd" (5 decimal precision) | Latitude from where the activation is made. South latitudes are preceded by a minus sign. Latitudes range from -90 to 90 |
| longitude required | float | Digits format "DDD.ddddd" (5 decimal precision) | Longitude from where the activation is made. West longitudes are preceded by a minus sign. Longitudes range from -180 to 180 |
note
*If card_number is sended as 16 digits, it must be sended ciphered and Base 64 Encoded. See Data encryption & encoding.
Example JSON Request:
{
"card_number": "11111111-daa7-1234-aaaa-123123123ecd",
"latitude": 12.12345,
"longitude": 15.12345
}
Example JSON Response:
{
"success": true,
"code": 0,
"message": "OK",
"data": {
"card": {
"id": "11111111-daa7-1234-aaaa-123123123ecd",
"masked_card_number": "************1234",
"last_four": "3494",
"type": "PHYSICAL",
"status": "ACTIVE",
"activation_timestamp": "2026-03-24T16:25:31.639-06:00"
},
"account": {
"id": "12312312-1234-1234-1234-123456123123",
"reference": "555555555"
},
"card_id": "f3918fd2-804e-478d-b362-51cbdc3f8c67",
"card_type": "PHYSICAL",
"masked_card_number": "************3494",
"account_reference": null,
"status": "",
"account_id": "ccc5e0f1-81fb-4264-b147-f9eb73ce8912",
"product": "FMC0001",
"curp": "PEJG900315HDFRGN05"
}
}